Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspFormRemoteTag

    java.lang.Object
      javax.servlet.jsp.tagext.BodyTagSupport
          org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
              org.codehaus.groovy.grails.web.taglib.jsp.JspFormRemoteTag

    public class JspFormRemoteTag
    extends JspInvokeGrailsTagLibTag

Authors:
  Graeme Rocher

Since:
  28-Feb-2006

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Constructor Summary
`JspFormRemoteTag()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getAfter()`
`java.lang.String` | `getAsynchronous()`
`java.lang.String` | `getBefore()`
`java.lang.String` | `getController()`
`java.lang.String` | `getId()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getOnComplete()`
`java.lang.String` | `getOnFailure()`
`java.lang.String` | `getOnInteractive()`
`java.lang.String` | `getOnLoaded()`
`java.lang.String` | `getOnLoading()`
`java.lang.String` | `getOnSuccess()`
`java.lang.String` | `getParams()`
`java.lang.String` | `getUpdate()`
`java.lang.String` | `getUrl()`
`void` | `setAction(java.lang.String action)`
`void` | `setAfter(java.lang.String after)`
`void` | `setAsynchronous(java.lang.String asynchronous)`
`void` | `setBefore(java.lang.String before)`
`void` | `setController(java.lang.String controller)`
`void` | `setId(java.lang.String id)`
`void` | `setMethod(java.lang.String method)`
`void` | `setOnComplete(java.lang.String onComplete)`
`void` | `setOnFailure(java.lang.String onFailure)`
`void` | `setOnInteractive(java.lang.String onInteractive)`
`void` | `setOnLoaded(java.lang.String onLoaded)`
`void` | `setOnLoading(java.lang.String onLoading)`
`void` | `setOnSuccess(java.lang.String onSuccess)`
`void` | `setParams(java.lang.String params)`
`void` | `setUpdate(java.lang.String update)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Constructor Detail

### JspFormRemoteTag

    public JspFormRemoteTag()

Method Detail

### getAction

    public java.lang.String getAction()

### getAfter

    public java.lang.String getAfter()

### getAsynchronous

    public java.lang.String getAsynchronous()

### getBefore

    public java.lang.String getBefore()

### getController

    public java.lang.String getController()

### getId

    @Override
    public java.lang.String getId()

### getMethod

    public java.lang.String getMethod()

### getOnComplete

    public java.lang.String getOnComplete()

### getOnFailure

    public java.lang.String getOnFailure()

### getOnInteractive

    public java.lang.String getOnInteractive()

### getOnLoaded

    public java.lang.String getOnLoaded()

### getOnLoading

    public java.lang.String getOnLoading()

### getOnSuccess

    public java.lang.String getOnSuccess()

### getParams

    public java.lang.String getParams()

### getUpdate

    public java.lang.String getUpdate()

### getUrl

    public java.lang.String getUrl()

### setAction

    public void setAction(java.lang.String action)

### setAfter

    public void setAfter(java.lang.String after)

### setAsynchronous

    public void setAsynchronous(java.lang.String asynchronous)

### setBefore

    public void setBefore(java.lang.String before)

### setController

    public void setController(java.lang.String controller)

### setId

    @Override
    public void setId(java.lang.String id)

### setMethod

    public void setMethod(java.lang.String method)

### setOnComplete

    public void setOnComplete(java.lang.String onComplete)

### setOnFailure

    public void setOnFailure(java.lang.String onFailure)

### setOnInteractive

    public void setOnInteractive(java.lang.String onInteractive)

### setOnLoaded

    public void setOnLoaded(java.lang.String onLoaded)

### setOnLoading

    public void setOnLoading(java.lang.String onLoading)

### setOnSuccess

    public void setOnSuccess(java.lang.String onSuccess)

### setParams

    public void setParams(java.lang.String params)

### setUpdate

    public void setUpdate(java.lang.String update)

### setUrl

    public void setUrl(java.lang.String url)

Groovy Documentation